/***                */
/**  USB ECHO TOP  **/
/*                ***/
module ASB004v01( CLK18M, DSW, LED, RXF_N, TXE_N, RD_N, WR, USB_DATA );

input        DSW;
input        CLK18M;
output [3:0] LED;
input        RXF_N, TXE_N;
output       RD_N, WR;
inout [7:0]  USB_DATA;
wire         BUSY, READY, ENB;
wire  [7:0]  DATA; 
wire         RST;

assign RST   = ~DSW;
assign READY = ~BUSY;
assign LED   = ~DATA[3:0];

USB_ARBITER U0 
		  ( .CLK(CLK18M),
			 .RST(RST),

			 .RXF_N(RXF_N), // IN
			 .TXE_N(TXE_N), // IN
			 .RD_N(RD_N),   // OUT
			 .WR(WR),       // OUT

			 .BUS_BUSY(BUSY),   // OUT
			 .TG_READY(READY),  // IN

			 .USB_DATA(USB_DATA), 

			 .TG_DO(DATA),
			 .TG_DI(DATA), 
			 .TG_RD(ENB),
			 .TG_WR(ENB) );

endmodule
